Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.configuration
Class AbstractWebConfiguration

    java.lang.Object
      org.apache.cactus.internal.configuration.BaseConfiguration
          org.apache.cactus.internal.configuration.AbstractWebConfiguration

All Implemented Interfaces:
  Configuration, WebConfiguration

Direct Known Subclasses:
  DefaultFilterConfiguration, DefaultJspConfiguration, DefaultServletConfiguration

public abstract class AbstractWebConfiguration
extends BaseConfiguration
implements WebConfiguration

Common implementation for all `WebConfiguration` implementations.

Version:
  $Id: AbstractWebConfiguration.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary

Fields inherited from class org.apache.cactus.internal.configuration.BaseConfiguration
`CACTUS_CONTEXT_URL_PROPERTY`

Constructor Summary
`AbstractWebConfiguration()`

Method Summary
`java.lang.String` | `getDefaultRedirectorURL()`
`java.lang.String` | `getRedirectorName(WebRequest theRequest)`
`java.lang.String` | `getRedirectorURL(WebRequest theRequest)`

Methods inherited from class org.apache.cactus.internal.configuration.BaseConfiguration
`getContextURL, getInitializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cactus.internal.configuration.WebConfiguration
`getDefaultRedirectorName`

Methods inherited from interface org.apache.cactus.internal.configuration.Configuration
`getContextURL, getInitializer`

Constructor Detail

### AbstractWebConfiguration

    public AbstractWebConfiguration()

Method Detail

### getDefaultRedirectorURL

    public java.lang.String getDefaultRedirectorURL()

  Specified by:
    `getDefaultRedirectorURL` in interface `WebConfiguration`
  Returns:
    the redirector URL for the default redirector
  See Also:
    `WebConfiguration.getDefaultRedirectorURL()`

### getRedirectorURL

    public java.lang.String getRedirectorURL(WebRequest theRequest)

  Specified by:
    `getRedirectorURL` in interface `WebConfiguration`
  Parameters:
    `theRequest` - the Web request used to connect to the redirector
  Returns:
    the redirector URL for the redirector to use. It is either the default redirector name or the redirector defined in the Web
  See Also:
    `WebConfiguration.getRedirectorURL(WebRequest)`

### getRedirectorName

    public java.lang.String getRedirectorName(WebRequest theRequest)

  Specified by:
    `getRedirectorName` in interface `WebConfiguration`
  Parameters:
    `theRequest` - the Web request used to connect to the redirector
  Returns:
    the redirector name to use. It is either the default redirector name or the redirector defined in the Web Request if it has been overriden
  See Also:
    `WebConfiguration.getRedirectorName(WebRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.